<?xml version="1.0" encoding="UTF-8" ?>
<!--
IGAC proyecto SNC

@author fredy.wilches
@version 2.0
@description Formulario usado en ejecución  
@cu CU-CO-V-01

-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<h:panelGrid xmlns="http://www.w3.org/1999/xhtml"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:p="http://primefaces.org/ui" width="100%"
             id="predioAEnglobarPanelGrid">

    <p:messages id="predioAEnglobarMsjs" />

    <p:dataTable var="predio" value="#{entradaProyeccion.prediosEnglobe}"
                 rowKey="#{predio.id}" 
                 selection="#{entradaProyeccion.predioPrincipalEnglobe}">
        <f:facet name="header">No. predial resultante</f:facet>
        <p:column selectionMode="single" />

        <p:column>
            <f:facet name="header">Departamento</f:facet>
            <h:outputText value="#{predio.departamento.nombre}" />
        </p:column>

        <p:column>
            <f:facet name="header">Municipio</f:facet>
            <h:outputText value="#{predio.municipio.nombre}" />
        </p:column>

        <p:column>
            <f:facet name="header">Número predial</f:facet>
            <h:outputText value="#{predio.numeroPredial}" />
        </p:column>
    </p:dataTable>

    <p:spacer width="0" height="5" />

    <h:panelGrid columns="2">
        <p:commandButton value="Aceptar" title="Aceptar predio a englobar"
                         icon="ui-icon-check" update=":confirmaCrearPredio3Form"
                         oncomplete="confirmaCrearPredio3WV.show();"/>
        <p:commandButton value="Cancelar" title="Cancelar y cerrar"
                         icon="ui-icon-close"
                         process="@this" ajax="true"
                         oncomplete="predioAEnglobarWV.hide();" />
    </h:panelGrid>

</h:panelGrid>